%define anolis_release 1
Summary:   Mobile broadband provider database
Name:      mobile-broadband-provider-info
Version:   20230416
Release:   %{anolis_release}%{?dist}
URL:       https://wiki.gnome.org/Projects/NetworkManager/MobileBroadband/ServiceProviders
License:   Public Domain
Source:    https://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildArch:     noarch
BuildRequires: make
BuildRequires: /usr/bin/xmllint
BuildRequires: /usr/bin/xsltproc

%description
The mobile-broadband-provider-info package contains listings of mobile
broadband (3G) providers and associated network and plan information.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains files necessary for
developing developing applications that use %{name}.

%prep
%autosetup

%build
%configure
%make_build

%check
make check

%install
%make_install

%files
%{_datadir}/%{name}
%license COPYING

%files doc
%doc README

%files devel
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Mon Apr 17 2023 Funda Wang <fundawang@yeah.net> - 20230416-1
- New version 20230416

* Fri Nov 25 2022 Funda Wang <fundawang@yeah.net> - 20221107-1
- New version 20221107

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 20220315-2
- add doc package

* Fri Apr 15 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 20220315-1
- Init package from upstream v20220315
